Bug 541666 - Merge Review: perl-Test-Pod-Coverage - Check for pod coverage in your distribution
Merge Review: perl-Test-Pod-Coverage - Check for pod coverage in your distrib...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 12:00 EST by Marcela Mašláňová
Modified: 2009-12-21 07:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 07:38:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-11-26 12:00:31 EST
SRPM: http://mmaslano.fedorapeople.org/MergeReview/perl-Test-Pod-Coverage-1.08-8.fc13.src.rpm
Spec: http://mmaslano.fedorapeople.org/MergeReview/perl-Test-Pod-Coverage.spec
Description: Perl module for checking for POD errors in files
Comment 1 Parag AN(पराग) 2009-11-27 04:32:54 EST
I wonder how can this package got missed at time of FC-6 when all core packages submitted for their merge-reviews.
Comment 2 Parag AN(पराग) 2009-12-09 01:14:00 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863818
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
9d9669917092e24d0943589ea2dfa77ef4e9c853  Test-Pod-Coverage-1.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=11, Tests=23,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.63 cusr  0.08 csys =  0.76 CPU)
+ Package perl-Test-Pod-Coverage-1.08-8.fc13.noarch=>
Provides: perl(Test::Pod::Coverage) = 1.08
Requires: perl(Pod::Coverage) perl(Test::Builder) perl(strict) perl(warnings)

+ Not a GUI application

APPROVED.
Comment 3 Marcela Mašláňová 2009-12-10 07:31:43 EST
New Package CVS Request
=======================
Package Name: perl-Test-Pod-Coverage
Short Description: Check for pod coverage in your distribution
Owners: mmaslano
Branches: 
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-12-14 12:47:54 EST
This package already exists. 

I expect this should be closed.

Note You need to log in before you can comment on or make changes to this bug.